/*
 * @file exo_io_al_linux_qspi.c
 *
 * @brief This file contains wrapper function definition for QSPI interface
 *
 * @copyright Copyright 2023 Antaris, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */




#include "exo_io_al_linux_qspi.h"
#include "exo_io_al_stm32f7xx_common.h"
#include "exo_common.h"



/**
 * @brief This API initialize the control block memory of SPI1
 */
hal_ret_sts io_hal_linux_qspi_init(ioal_qspi_hdle *ioal_hqspi)
{

    return 0;

}


/**
 * @brief This API initialize the control block memory of SPI1
 */
hal_ret_sts io_hal_linux_qspi_deInit(ioal_qspi_hdle *ioal_hqspi)
{
    return 0;

}

/**
 * @brief This API transmit the data in blocking mode
 */
hal_ret_sts io_hal_linux_qspi_transmit(ioal_qspi_hdle *ioal_hqspi, uint8 *pdata, uint32 timeout)
{
    return 0;

}




/**
 * @brief This API transmit the data in blocking mode
 */
hal_ret_sts io_hal_linux_qspi_receive(ioal_qspi_hdle *ioal_hqspi, uint8 *pdata, uint32 timeout)
{
    return 0;

}


/**
 * @brief This function set the command configuration
 */
hal_ret_sts io_hal_linux_qspi_command(ioal_qspi_hdle *ioal_hqspi, ioal_qspi_CommandTypeDef *cmd, uint32 timeout)
{
    return 0;

}



/**
 * @brief This function enable memory mapped mode
 */
hal_ret_sts io_hal_linux_qspi_memory_mapped(ioal_qspi_hdle *ioal_hqspi, ioal_qspi_CommandTypeDef *cmd, ioal_qspi_MemoryMappedTypeDef *cfg)
{
    return 0;

}


/**
 * @brief This function enable the auto polling mode
 */
hal_ret_sts io_hal_linux_qspi_auto_polling(ioal_qspi_hdle *ioal_hqspi, ioal_qspi_CommandTypeDef *cmd, ioal_qspi_AutoPollingTypeDef *cfg, uint32 timeout)
{
    return 0;

}


/**
 * @brief This API register the callback event
 */
hal_ret_sts io_hal_linux_qspi_reg_cb(ioal_qspi_hdle *ioal_hqspi, iohal_stm32_qspi_cbid cbid)
{
    return 0;

}





